import { createApp } from 'vue'
import './assets/css/style.css'
import App from './App.vue'
import { router } from './router'

// Font Awesome
import { library } from '@fortawesome/fontawesome-svg-core'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'
import { fas } from '@fortawesome/free-solid-svg-icons' // alebo pridaj konkrétne ikony
library.add(fas) // alebo napr. library.add(faSearch, faUser)


const app = createApp(App)
app.component('font-awesome-icon', FontAwesomeIcon)

app.use(router)
app.mount('#app')
